export class TeDeumMaladieSchema extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    const requiredInteger = { required: true, nullable: false, integer: true };
    const schema = {};

    schema.transmission = new fields.HTMLField({ required: true, blank: true });
    schema.difficulteEndurance = new fields.StringField({required:true, initial:"routine"});
    schema.virulence = new fields.StringField({required: true, choices: ["fatigue", "epuisement", "souffrance", "agonie"], initial: "fatigue"});
    schema.fievre = new fields.StringField({required: true, choices: ["aucune", "legere", "forte", "grave"], initial: "aucune"});
    schema.symptomes = new fields.HTMLField({ required: true, blank: true });
    schema.appliquee = new fields.BooleanField({initial: false}),

    schema.description = new fields.HTMLField({ required: true, blank: true });

    return schema;
  }
}